Browse Source

[stable/rocky] Drop rally job

We already had rally-openstack pinned, but not rally itself (global
upper-constraints do not limit rally, and pinned rally-openstack only
specifies a minimum version)
With rally itself not supporting python 2 anymore, this causes the
neutron-rally-task to fail on rocky. As this is an older EM branch, drop
the job in this branch (newer branches still run rally, and queens also
as it does not use rally-openstack)

Change-Id: I70c5620e176bdb07346ea3875ca35e90dd6711f5
Closes-Bug: #1902775
changes/91/761391/2
Bernard Cafarelli 9 months ago
parent
commit
8fefd6e15b
No known key found for this signature in database GPG Key ID: 9531F08245465A52
  1. 24
      .zuul.yaml

24
.zuul.yaml

@ -12,7 +12,6 @@
check:
jobs:
- neutron-functional
- neutron-rally-task
- neutron-tempest-dvr
- neutron-tempest-linuxbridge
# We don't run the job on things like neutron docs-only changes
@ -204,29 +203,6 @@
- ^releasenotes/.*$
voting: false
- job:
name: neutron-rally-task
parent: rally-task-neutron
timeout: 7800
vars:
devstack_plugins:
rally-openstack: https://opendev.org/openstack/rally-openstack
neutron: https://opendev.org/openstack/neutron
devstack_services:
neutron-trunk: true
rally_task: rally-jobs/task-neutron.yaml
required-projects:
- name: openstack/rally-openstack
override-checkout: 1.7.0
irrelevant-files:
- ^.*\.rst$
- ^doc/.*$
- ^neutron/locale/.*$
- ^neutron/tests/unit/.*$
- ^releasenotes/.*$
- ^tools/.*$
- ^tox.ini$
- job:
name: neutron-tempest-dvr
parent: legacy-dsvm-base

Loading…
Cancel
Save